Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets
Class P13NAuthFilter

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--weblogic.servlet.security.AuthFilter
                        |
                        +--com.bea.p13n.servlets.P13NAuthFilter

public class P13NAuthFilter
extends weblogic.servlet.security.AuthFilter

A WLS AuthFilter that will handle the P13N server login initialization.

This involves:

- Initializing the user's Profile in the Session on successfull login.
- Firing a SessionLoginEvent on successfull login

See Also:
  `TrackingEventHelper`, Serialized Form

Fields inherited from class weblogic.servlet.security.AuthFilter
`TARGET_URL`

Constructor Summary
`P13NAuthFilter()`

Method Summary
`void` | `doFailAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Called after a failed authentication in a webapp.
`void` | `doPreAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Called just before Authentication and Authorization occur in a webapp.
`boolean` | `doSuccessAuth(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res)` Called after a successfull authentication in a webapp.
`protected void` | `initializeProfile(javax.servlet.http.HttpServletRequest req)` Initialize a ProfileWrapper in the session for the logged in user.

Methods inherited from class weblogic.servlet.security.AuthFilter
`service`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### P13NAuthFilter

    public P13NAuthFilter()

Method Detail

### doPreAuth

    public void doPreAuth(javax.servlet.ServletRequest req,
                          javax.servlet.ServletResponse res)

  Called just before Authentication and Authorization occur in a webapp.

  This does nothing here.

  Overrides:
    doPreAuth in class weblogic.servlet.security.AuthFilter

### doSuccessAuth

    public boolean doSuccessAuth(javax.servlet.ServletRequest req,
                                 javax.servlet.ServletResponse res)

  Called after a successfull authentication in a webapp.

  Assuming the ServletRequest is valid, this will invoke initializeProfile() followed by TrackingEventHelper.dispatchSessionLoginEvent().

  Overrides:
    doSuccessAuth in class weblogic.servlet.security.AuthFilter
  See Also:
    `initializeProfile(javax.servlet.http.HttpServletRequest)`, `TrackingEventHelper.dispatchSessionLoginEvent(javax.servlet.http.HttpServletRequest, java.lang.String)`

### initializeProfile

    protected void initializeProfile(javax.servlet.http.HttpServletRequest req)

  Initialize a ProfileWrapper in the session for the logged in user.

  See Also:
    `SessionHelper.putProfileInSession(javax.servlet.http.HttpServletRequest, com.bea.p13n.usermgmt.profile.ProfileWrapper)`, `ProfileFactory.getProfile(java.lang.String, java.lang.String)`

### doFailAuth

    public void doFailAuth(javax.servlet.ServletRequest req,
                           javax.servlet.ServletResponse res)

  Called after a failed authentication in a webapp.

  This method here does nothing.

  Overrides:
    doFailAuth in class weblogic.servlet.security.AuthFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved